@ECHO OFF
REM Installing the fvAddToRot filter.
REM (c) Vladimir Filippov. 2005.
REM
@echo.
@echo Copying filter to the system directory...
@echo.

IF "x%OS%x" == "xWindows_NTx" Goto Set_WinNT

copy /Y fvAddToRot.ax %windir%\system
IF ERRORLEVEL 1 GOTO ERROR

@echo Registering filter...

regsvr32 %windir%\system\fvAddToRot.ax
IF ERRORLEVEL 0 @echo The filter was installed successfully!

Goto Finish


:Set_WinNT

copy /Y fvAddToRot.ax %windir%\system32
IF ERRORLEVEL 1 GOTO ERROR

@echo Registering filter...

regsvr32 %windir%\system32\fvAddToRot.ax
IF ERRORLEVEL 0 @echo The filter was installed successfully!

Goto Finish


:ERROR
@echo.
@echo Error copying the filter to the system directory!
@echo.

:Finish
