//------------------------------------------------------------------------------
// File: CAddToRotProperties.h
//
// Copyright (c) Vladimir Filippov. 2005.
//------------------------------------------------------------------------------


class CAddToRotProperties : public CBasePropertyPage
{

public:

    static CUnknown * WINAPI CreateInstance(LPUNKNOWN lpunk, HRESULT *phr);

private:

    INT_PTR OnReceiveMessage(HWND hwnd,UINT uMsg,WPARAM wParam,LPARAM lParam);
    HRESULT OnConnect(IUnknown *pUnknown);
	HRESULT OnActivate();
    HRESULT OnDisconnect();
    HRESULT OnDeactivate();
    HRESULT OnApplyChanges();

    void SetDirty();

    CAddToRotProperties(LPUNKNOWN lpunk, HRESULT *phr);

    int bIsActive;

    IfvAddToRot *m_pfvAddToRotCfg;

}; // CFrameFilterProperties

